package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIQ1DataOblastFormalnichKontrol implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIQ1DataOblastFormalnichKontrol() {}

    public static MWFIQ1DataOblastFormalnichKontrol builder() {
        return new MWFIQ1DataOblastFormalnichKontrol();
    }

    public MWFIQ1DataOblastFormalnichKontrol rsHodnotapoleformalnikontroly(String rsHodnotapoleformalnikontroly) {
        params.put("RS_HODNOTAPOLEFORMALNIKONTROLY", rsHodnotapoleformalnikontroly);
        return this;
    }

    public MWFIQ1DataOblastFormalnichKontrol rsNazevpoleformalnikontroly(String rsNazevpoleformalnikontroly) {
        params.put("RS_NAZEVPOLEFORMALNIKONTROLY", rsNazevpoleformalnikontroly);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
